package com.dev.swms.server.action.formatter;

import java.util.List;

import com.dev.energy.server.format.Formatter;

/**
 *@author  dev
 */
public class CountInventoryLotFormatter implements Formatter {

	private final Formatter formatter;
	
	public CountInventoryLotFormatter(Formatter formatter) {
		this.formatter = formatter;
	}

	public String format(String property, Object cellValue, List origenData,
			String referenceModel, String locale) {
		if("-".equals(cellValue)){
			return "-";
		}
		return formatter.format(property,cellValue,origenData,referenceModel,locale);
	}

}
